Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 707856

Summary: sci-astronomy/swarp-2.38.0 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Sci Astronomy Herd <sci-astronomy>
Status: RESOLVED FIXED    
Severity: normal CC: jakov.smolic
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/astromatic/swarp/issues/6
Whiteboard: ~arch only
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
sci-astronomy:swarp-2.38.0:20200202-024631.log
temp.tbz2

Description Toralf Förster gentoo-dev 2020-02-02 04:14:54 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..     -O2 -pipe -march=native -fno-common -c threads.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..     -O2 -pipe -march=native -fno-common -c weight.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..     -O2 -pipe -march=native -fno-common -c xml.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o swarp back.o coadd.o data.o field.o fitswcs.o header.o interpolate.o main.o makeit.o misc.o prefs.o projapprox.o resample.o threads.o weight.o xml.o ./fits/libfits.a ./wcs/libwcs_c.a -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: coadd.o:(.bss+0x2be3420): multiple definition of `gstr'; back.o:(.bss+0x2be2820): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: coadd.o:(.bss+0xc00): multiple definition of `prefs'; back.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 02 Feb 2020 00:48:00 +0000

emerge -qpvO sci-astronomy/swarp
[ebuild  N    ] sci-astronomy/swarp-2.38.0  USE="-doc -threads"
Comment 1 Toralf Förster gentoo-dev 2020-02-02 04:14:57 UTC
Created attachment 610846 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-02 04:15:00 UTC
Created attachment 610848 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-02 04:15:04 UTC
Created attachment 610850 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-02 04:15:07 UTC
Created attachment 610852 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-02 04:15:10 UTC
Created attachment 610854 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-02 04:15:14 UTC
Created attachment 610856 [details]
sci-astronomy:swarp-2.38.0:20200202-024631.log
Comment 7 Toralf Förster gentoo-dev 2020-02-02 04:15:17 UTC
Created attachment 610858 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2021-02-14 10:36:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7ea913e51ebff7b8a80c8cac74a9ce7855e6f73

commit d7ea913e51ebff7b8a80c8cac74a9ce7855e6f73
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-14 10:33:00 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-14 10:33:00 +0000

    sci-astronomy/swarp: Bump to 2.41.5
    
    * Fixes gcc-10 issues and AR call
    
    Closes: https://bugs.gentoo.org/707856
    Closes: https://bugs.gentoo.org/725274
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 sci-astronomy/swarp/Manifest            |  1 +
 sci-astronomy/swarp/metadata.xml        |  3 +++
 sci-astronomy/swarp/swarp-2.41.5.ebuild | 34 +++++++++++++++++++++++++++++++++
 3 files changed, 38 insertions(+)